path: /build/build/gpu-configurator-app-admin-0.2.2.package.tar.zst
dependencies: []
compilespec:
  steps:
  - cd ${PACKAGE_NAME} && git checkout "${GIT_HASH%\+*}" && make build-small && mkdir
    -p /gpu-configurator/usr/bin && mv ${PACKAGE_NAME} /gpu-configurator/usr/bin/${PACKAGE_NAME}
  env:
  - GITHUB_ORG=macaroni-os
  - GITHUB_NAME=gpu-configurator
  - GIT_HASH=v0.2.2
  prelude:
  - anise i -y --sync-repos --purge-repos --cleanup make upx-bin go ca-certificates
    git && mkdir /tmp/ && git clone https://github.com/${GITHUB_ORG}/${GITHUB_NAME}.git
  image: macaronios/terragon-testing-minimal:latest-amd64
  seed: macaronios/terragon-testing-minimal:latest-amd64
  package:
    name: gpu-configurator
    version: 0.2.2
    category: app-admin
    description: GPU configurator helper
    uri:
    - https://github.com/macaroni-os/gpu-configurator
    license: GPL-3.0
    buildtimestamp: 2024-08-28 21:12:12.203926156 +0000 UTC m=+144.699145318
    labels:
      github.owner: gpu-configurator
      github.repo: macaroni-os
    treedir: /build/packages
  package_dir: /gpu-configurator
  retrieve: []
  unpack: false
  includes: []
  excludes: []
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-commons-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: a9619bf40f305a9cb402f6936fd6d4be5f66023faad864f8fbd5febbfcfdc936
compressiontype: zstd
files:
- usr/bin/gpu-configurator
package_cacheimage: ""
runtime:
  name: gpu-configurator
  version: 0.2.2
  category: app-admin
  description: GPU configurator helper
  uri:
  - https://github.com/macaroni-os/gpu-configurator
  license: GPL-3.0
  labels:
    github.owner: gpu-configurator
    github.repo: macaroni-os
